## shiboken2 2.0.0.dev0-0~201604191547~rev1610~pkg23~ubuntu15.10.1

=== ApiExtractor/CMakeLists.txt ===
project(apiextractor)

find_package(LibXml2 2.6.32)
find_package(LibXslt 1.1.19)

option(DISABLE_DOCSTRINGS "Disable documentation extraction." FALSE)

if (NOT DISABLE_DOCSTRINGS)
    if (NOT LIBXSLT_FOUND OR NOT LIBXML2_FOUND)
        set(DISABLE_DOCSTRINGS TRUE CACHE BOOL "Disable doc strings" PARENT_SCOPE)
        set(DISABLE_DOCSTRINGS TRUE)
        message(WARNING "libxslt and/or libxml not found, disabling support for doc strings!")
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

if(BUILD_TESTS)
    set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/tests)
endif ()

set(QT_USE_QTCORE 1)
set(QT_USE_QTXML 1)
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)
add_definitions(-DRXX_ALLOCATOR_INIT_0)

set(apiextractor_SRC
apiextractor.cpp
abstractmetabuilder.cpp
abstractmetalang.cpp
asttoxml.cpp
fileout.cpp
graph.cpp
reporthandler.cpp
typeparser.cpp
typesystem.cpp
include.cpp
typedatabase.cpp
parser/ast.cpp
parser/binder.cpp
parser/class_compiler.cpp
parser/codemodel.cpp
parser/codemodel_finder.cpp
parser/compiler_utils.cpp
parser/control.cpp
parser/declarator_compiler.cpp
parser/default_visitor.cpp
parser/dumptree.cpp
parser/lexer.cpp
parser/list.cpp
parser/name_compiler.cpp
parser/parser.cpp
parser/smallobject.cpp
parser/tokens.cpp
parser/type_compiler.cpp
parser/visitor.cpp
parser/rpp/builtin-macros.cpp
parser/rpp/preprocessor.cpp
)

if (NOT DISABLE_DOCSTRINGS)
    set(apiextractor_SRC
        ${apiextractor_SRC}
        docparser.cpp
        doxygenparser.cpp
        qtdocparser.cpp
    )
    set(APIEXTRACTOR_EXTRA_INCLUDES ${LIBXSLT_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
    set(APIEXTRACTOR_EXTRA_LIBRARIES ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES})
else()
    set(APIEXTRACTOR_EXTRA_INCLUDES "")
    set(APIEXTRACTOR_EXTRA_LIBRARIES "")
endif()

set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

qt5_add_resources(apiextractor_RCCS_SRC generator.qrc)
set(CMAKE_AUTOMOC ON)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/parser
                    ${CMAKE_CURRENT_SOURCE_DIR}/parser/rpp
                    ${APIEXTRACTOR_EXTRA_INCLUDES}
                    ${Qt5Core_INCLUDE_DIRS}
                    ${Qt5Xml_INCLUDE_DIRS}
                    )

add_library(apiextractor STATIC ${apiextractor_SRC} ${apiextractor_RCCS_SRC})
target_link_libraries(apiextractor
                      ${Qt5Xml_LIBRARIES}
                      ${APIEXTRACTOR_EXTRA_LIBRARIES}
                      )

if (BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

=== libshiboken/CMakeLists.txt ===
project(libshiboken)

option(ENABLE_VERSION_SUFFIX "Used to use current version in suffix to generated files. This is used to allow multiples versions installed simultaneous." FALSE)
if(ENABLE_VERSION_SUFFIX)
    set(shiboken2_SUFFIX "-${shiboken_MAJOR_VERSION}.${shiboken_MINOR_VERSION}")
else()
    set(shiboken2_SUFFIX "")
endif()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/sbkversion.h.in"
               "${CMAKE_CURRENT_BINARY_DIR}/sbkversion.h" @ONLY)

#Find installed sparsehash
find_path(SPARSEHASH_INCLUDE_PATH sparseconfig.h PATH_SUFFIXES "/google/sparsehash")
if(SPARSEHASH_INCLUDE_PATH)
    message(STATUS "Using system hash found in: ${SPARSEHASH_INCLUDE_PATH}")
else()
    set(SPARSEHASH_INCLUDE_PATH ${CMAKE_SOURCE_DIR}/ext/sparsehash)
endif()

set(libshiboken_MAJOR_VERSION ${shiboken_MAJOR_VERSION})
set(libshiboken_MINOR_VERSION ${shiboken_MINOR_VERSION})
set(libshiboken_MICRO_VERSION ${shiboken_MICRO_VERSION})
set(libshiboken_VERSION "${libshiboken_MAJOR_VERSION}.${libshiboken_MINOR_VERSION}.${libshiboken_MICRO_VERSION}")
set(libshiboken_SOVERSION "${libshiboken_MAJOR_VERSION}.${libshiboken_MINOR_VERSION}")

set(libshiboken_SRC
basewrapper.cpp
debugfreehook.cpp
gilstate.cpp
helper.cpp
sbkconverter.cpp
sbkenum.cpp
sbkmodule.cpp
sbkstring.cpp
bindingmanager.cpp
threadstatesaver.cpp
typeresolver.cpp
shibokenbuffer.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${SBK_PYTHON_INCLUDE_DIR}
                    ${SPARSEHASH_INCLUDE_PATH})
add_library(libshiboken SHARED ${libshiboken_SRC})
target_link_libraries(libshiboken ${SBK_PYTHON_LIBRARIES})
set_target_properties(libshiboken PROPERTIES OUTPUT_NAME "shiboken2${shiboken2_SUFFIX}${PYTHON_EXTENSION_SUFFIX}"
                                             VERSION ${libshiboken_VERSION}
                                             SOVERSION ${libshiboken_SOVERSION}
                                             DEFINE_SYMBOL LIBSHIBOKEN_EXPORTS)

install(FILES
        autodecref.h
        basewrapper.h
        bindingmanager.h
        conversions.h
        gilstate.h
        helper.h
        sbkconverter.h
        sbkenum.h
        sbkmodule.h
        python25compat.h
        sbkdbg.h
        sbkstring.h
        shiboken.h
        shibokenmacros.h
        threadstatesaver.h
        typeresolver.h
        shibokenbuffer.h
        sbkpython.h
        "${CMAKE_CURRENT_BINARY_DIR}/sbkversion.h"
        DESTINATION include/shiboken2${shiboken2_SUFFIX})
install(TARGETS libshiboken EXPORT shiboken2
                            LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                            ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
                            RUNTIME DESTINATION bin)

=== debian/changelog ===
shiboken2 (2.0.0.dev0-0~201604191547~rev1610~pkg23~ubuntu15.10.1) wily; urgency=low

  * Auto build.

 -- Thomas Karl Pietrowski <thopiekar@googlemail.com>  Tue, 19 Apr 2016 15:47:07 +0000

shiboken2 (2.0.0.dev0) unstable; urgency=medium

  * Initial release

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Aug 2015 17:40:32 +0200

shiboken (1.2.2-2) unstable; urgency=medium

  [ Iain Lane ]
  * Rebuild for python3.5
    + Extend hack to skip tests which still fail for py3.5

  [ Dmitry Shachnev ]
  * Run tests for python3.5-dbg, not twice for python3.4-dbg

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition (Closes: #791276)
  * Drop legacy support for g++ < 4.5, which breaks with g++ 5's version number
    (Closes: #778118)

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Aug 2015 17:40:32 +0200

shiboken (1.2.2-1) unstable; urgency=medium

  * New 1.2.2 upstream release
    - Refresh patches

 -- Didier Raboud <odyx@debian.org>  Thu, 01 May 2014 17:45:03 +0200

shiboken (1.2.1-4) unstable; urgency=low

  * Mark the AutoDecRef destructor symbol as optional as it chokes on sparc

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Feb 2014 09:56:55 +0100

shiboken (1.2.1-3) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Drop refcounting extension, removed in Sphinx 1.2 (Closes: #735835)

  [ Didier Raboud ]
  * Blacklist some tests in the testsuite for the debug flavour of Python3.4
  * Re-order debian/copyright for CF-1.0 conformance
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Feb 2014 18:23:00 +0100

shiboken (1.2.1-2) unstable; urgency=low

  * Rewrite debian/copyright with CF-1.0 (Closes: #722504)
  * Correct the default python suffix for python3, make sure cmake's
    default is python2's

 -- Didier Raboud <odyx@debian.org>  Wed, 18 Sep 2013 20:07:19 +0200

shiboken (1.2.1-1) unstable; urgency=low

  * New 1.2.1 upstream release.

  [ Bart Martens ]
  * Update debian/watch

  [ Didier Raboud ]
  * Bump libshiboken SOVERSION to 1.2, update symbols
    - Add four new 1.2.1 symbols
  * Drop upstream-imported patches, refresh the other
  * Add patch to fix one test's exceptions' Python3 syntax
  * Drop the explicit dependencies of Libs and Cflags in pkg-config in
    favour of a Requires (LP: #1155595)
  * Drop obsolete source lintian override for dh 9
  * Replaced Nokia with Digia in debian/copyright
  * Delete static-override-fix.patch as it was fixed differently by
    upstream

 -- Didier Raboud <odyx@debian.org>  Tue, 10 Sep 2013 10:36:46 +0200

shiboken (1.1.2-4) unstable; urgency=low

  * Update patches to ensure that the Python3 builds occur against the
    correct Python3 libraries, also add the needed tweaks in
    debian/rules.
  * Fix watch file
  * Bump debhelper build-depends to 9, to align with compat.
  * Bump Standards-Version to 3.9.4 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Jun 2013 14:04:31 +0200

shiboken (1.1.2-3) unstable; urgency=low

  * Upload to unstable.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Julian Taylor ]
  * Add python3.3-and-multiarch.patch to add python3.3 to list of python
    versions and deal with multiarch include paths
  * Add memleak-instead-crash.patch to avoid crash on dereferencing
    object in tests introduce an intentional memleak until we have a
    proper fix.
  * Add static-override-fix.patch to fix broken static/non-static
    overloads in python3.
  * update debian/shiboken-dbg.install and debian/rules makeshlibs
    override for new python abi suffixes not having "u".

  [ Didier Raboud ]
  * Import all upstream patches on top of 1.1.2, refresh affected
    patches.
  * Make the Python3 only build on >= 3.3, as the 3.2 build fails to
    have running tests.
  * Patch sample_overflow test to use int( instead of long( as per PEP-
    0237.

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Jun 2013 10:49:54 +0200

shiboken (1.1.2-2) experimental; urgency=low

  * Add python{,3}-numpy-dbg to Build-Depends to have all tests pass.
  * Make dbg tests build-critical.

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Oct 2012 10:06:19 +0100

shiboken (1.1.2-1) experimental; urgency=low

  * New 1.1.2 "Alaursa" release.
    - Add 6 1.1.2-specific symbols;

  * Update B-Ds:
    - add python{,3}-numpy to succeed all tests.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Sep 2012 08:47:15 +0200

shiboken (1.1.1-1) unstable; urgency=low

  * New 1.1.1 "Free Hugs" release.
    "Unified toolchain! No more GeneratorRunner and ApiExtractor, now
     you just need Shiboken to compile PySide."

  * Update B-Ds:
    - drop generatorrunner;
    - drop apiextractor;
    - add libxml2-dev (>= 2.6.32);
    - add libxslt1-dev (>= 1.1.19).
  * Drop generatorrunner depends.
  * Don't try to install the shiboken generatorrunner plugin which is no
    more built.
  * Update packages descriptions to drop the bit about apiextractor and
    generatorrunner.
  * Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Apr 2012 11:21:42 +0200

shiboken (1.1.0-2) unstable; urgency=low

  * Update one exported symbol to cope with size_t size differences between
    32-64 bit machines.

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Jan 2012 10:45:20 +0100

shiboken (1.1.0-1) unstable; urgency=low

  * New 1.1.0 upstream release.
    - Bump libshiboken SOVERSION to 1.1, update symbols:
      * Remove one 1.0-specific symbol;
      * Add 55 1.1-specific symbols;
      * Put the SOVERSION as debian/rules parameter;
      * Rename libshiboken and libshiboken-py3 packages.
    - Bump B-Ds:
      * on generatorrunner to 0.6.16;
      * on apiextractor to 0.10.10.

 -- Didier Raboud <odyx@debian.org>  Tue, 03 Jan 2012 20:58:04 +0100

shiboken (1.0.10-1) unstable; urgency=low

  * New 1.0.10 upstream release.
  * Bump B-Ds:
    - on generatorrunner to 0.6.15;
    - on apiextractor to 0.10.9.

  * Upload the python3 flavours to unstable.


=== debian/control ===
Source: shiboken2
Section: devel
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), cmake (>= 3.0), dh-python,
# Qt5
 qtbase5-dev, libqt5xmlpatterns5-dev,
# Others
 libsparsehash-dev (>= 1.6-1.1~),
 libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19),
# Python
 python-all-dev (>= 2.7), python-all-dbg (>= 2.7),
 python-numpy, python-numpy-dbg,
 python3-all-dev (>= 3.2), python3-all-dbg (>= 3.2),
 python3-numpy, python3-numpy-dbg,
# Documentation
 python-sphinx, python3-sphinx
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/shiboken/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/shiboken/trunk/
Homepage: http://www.pyside.org/

Package: shiboken2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPython bindings generator for C++ libraries
 Shiboken is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken is the binding generator used to create the PySide bindings.

Package: shiboken2-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: CPython bindings generator for C++ libraries documentation
 Shiboken is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken is the binding generator used to create the PySide bindings; this
 package contains its documentation.

Package: libshiboken2.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: CPython bindings generator for C++ libraries - shared library
 Shiboken is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 This is the shared library used by shiboken.

Package: libshiboken-py3-2.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: CPython3 bindings generator for C++ libraries - shared library
 Shiboken is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 This is the shared library used by shiboken when used with python3.

Package: libshiboken2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dev, libshiboken2.0 (= ${binary:Version}), libshiboken-py3-2.0 (= ${binary:Version})
Description: development files for the shiboken bindings generator library
 Shiboken is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 This package contains the development files for the library.

Package: shiboken2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends},
         libshiboken2.0 (= ${binary:Version}),
         shiboken2 (= ${binary:Version})
Description: debugging symbols for shiboken and its library
 Shiboken is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 This package contains the debugging symbols for shiboken and libshiboken.
